<form [formGroup]="fourthStepForm" (submit)="handleFourthStepSubmit()">
  <p>{{ offersData.assignee.label }}</p>
  <mat-form-field class="input--lg">
    <mat-label>Assignee</mat-label>
    <mat-select formControlName="assignee">
      @for (value of offersData.assignee.values; track value) {
      <mat-option [value]="value">{{ value }}</mat-option>
      }
    </mat-select>
    @if (isAssigneeInvalid) {
    <mat-error>Required.</mat-error>}
  </mat-form-field>
  <div class="button-container">
    <button
      class="medium-action-button"
      [disabled]="nextLoading"
      mat-raised-button
      matStepperPrevious
    >
      Back
      <mat-icon iconPositionStart>navigate_before</mat-icon>
    </button>
    @if (nextLoading) {
    <button
      class="medium-action-button"
      type="submit"
      color="primary"
      disabled
      mat-raised-button
      disabled="true"
    >
      <mat-spinner diameter="18"></mat-spinner>
    </button>
    } @else {
    <button
      class="medium-action-button"
      type="submit"
      color="primary"
      mat-raised-button
      [disabled]="fourthStepForm.invalid"
    >
      @if (mode==='preview') {Finish} @else {Complete}
      <mat-icon iconPositionEnd
        >@if (mode==='preview') {navigate_next} @else {save}</mat-icon
      >
    </button>
    }
  </div>
</form>
